WinNT.SECURITY_DESCRIPTOR_RELATIVE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: SECURITY_DESCRIPTOR_RELATIVE

Package com.sun.jna.platform.win32

# Class WinNT.SECURITY_DESCRIPTOR_RELATIVE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.SECURITY_DESCRIPTOR_RELATIVE

Direct Known Subclasses:
  `WinNT.SECURITY_DESCRIPTOR_RELATIVE.ByReference`

Enclosing interface:
  WinNT

@FieldOrder({"Revision","Sbz1","Control","Owner","Group","Sacl","Dacl"}) public static class WinNT.SECURITY_DESCRIPTOR_RELATIVE extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinNT.SECURITY_DESCRIPTOR_RELATIVE.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `Control`
  `int`
  `Dacl`
  `int`
  `Group`
  `int`
  `Owner`
  `byte`
  `Revision`
  `int`
  `Sacl`
  `byte`
  `Sbz1`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SECURITY_DESCRIPTOR_RELATIVE()`
  `SECURITY_DESCRIPTOR_RELATIVE(byte[] data)`
  `SECURITY_DESCRIPTOR_RELATIVE(int length)`
  `SECURITY_DESCRIPTOR_RELATIVE(Pointer p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.ACL`
  `getDiscretionaryACL()`
  `WinNT.PSID`
  `getGroup()`
  `WinNT.PSID`
  `getOwner()`
  `WinNT.ACL`
  `getSystemACL()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Revision

    public byte Revision

  - ### Sbz1

    public byte Sbz1

  - ### Control

    public short Control

  - ### Owner

    public int Owner

  - ### Group

    public int Group

  - ### Sacl

    public int Sacl

  - ### Dacl

    public int Dacl

- ## Constructor Details

  - ### SECURITY_DESCRIPTOR_RELATIVE

    public SECURITY_DESCRIPTOR_RELATIVE()

  - ### SECURITY_DESCRIPTOR_RELATIVE

    public SECURITY_DESCRIPTOR_RELATIVE(byte[] data)

  - ### SECURITY_DESCRIPTOR_RELATIVE

    public SECURITY_DESCRIPTOR_RELATIVE(int length)

  - ### SECURITY_DESCRIPTOR_RELATIVE

    public SECURITY_DESCRIPTOR_RELATIVE(Pointer p)

- ## Method Details

  - ### getOwner

    public WinNT.PSID getOwner()

  - ### getGroup

    public WinNT.PSID getGroup()

  - ### getDiscretionaryACL

    public WinNT.ACL getDiscretionaryACL()

  - ### getSystemACL

    public WinNT.ACL getSystemACL()